# listMyAssessmentHistory

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/assessments/history |

| Field | Value |
|---|---|
| operationId | listMyAssessmentHistory |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /assessments/history |
| tags | `Behaviour` |
| summary | Get assessment history for the authenticated user |
| badges | None |

## Request Parameters

None.

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Assessment history for the current user | #/components/schemas/AssessmentHistoryResponseDto |
| 401 | Invalid or missing authentication token | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
